--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: This class is now used purely for upgrading from prior versions of rbot the new registry is split into multiple DBHash objects, one per plugin
constants: []

full_name: Irc::Bot::Registry
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: upgrade_data
- !ruby/object:RI::MethodSummary 
  name: upgrade_data2
name: Registry
superclass: Object
